Skip to main content
POST
/
api
/
v1
/
calendar-bookings
/
{bookingId}
/
cancel
Cancel a booking
curl --request POST \
  --url https://prod.featherhq.com/api/v1/calendar-bookings/{bookingId}/cancel \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "cancellationReason": "<string>"
}
'
import requests

url = "https://prod.featherhq.com/api/v1/calendar-bookings/{bookingId}/cancel"

payload = { "cancellationReason": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({cancellationReason: '<string>'})
};

fetch('https://prod.featherhq.com/api/v1/calendar-bookings/{bookingId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "organizationId": "<string>",
  "calendarId": "<string>",
  "eventTypeId": "<string>",
  "title": "<string>",
  "description": "<string>",
  "startTime": "<string>",
  "endTime": "<string>",
  "timezone": "<string>",
  "attendeeName": "<string>",
  "attendeeEmail": "<string>",
  "attendeePhone": "<string>",
  "location": "<string>",
  "meetLink": "<string>",
  "agentCallId": "<string>",
  "leadId": "<string>",
  "cancelledAt": "<string>",
  "cancellationReason": "<string>",
  "rescheduledFromId": "<string>",
  "rescheduledToId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "metadata": null
}
{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}
{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}
{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}

Authorizations

X-API-Key
string
header
required

Path Parameters

bookingId
string
required

Body

application/json
cancellationReason
string
Maximum string length: 1000

Response

Booking cancelled

id
string
required
organizationId
string
required
calendarId
string
required
eventTypeId
string
required
title
string
required
description
string | null
required
startTime
string
required
endTime
string
required
timezone
string
required
status
enum<string>
required
Available options:
CONFIRMED,
CANCELLED,
RESCHEDULED,
NO_SHOW
attendeeName
string | null
required
attendeeEmail
string | null
required
attendeePhone
string | null
required
location
string | null
required
agentCallId
string | null
required
leadId
string | null
required
cancelledAt
string | null
required
cancellationReason
string | null
required
rescheduledFromId
string | null
required
rescheduledToId
string | null
required
createdAt
string
required
updatedAt
string
required
metadata
unknown